aboutsummaryrefslogtreecommitdiffstats
path: root/community/qmltermwidget/APKBUILD
blob: ca83fa98beadc8e905f2a6ee5bdea6ce5094792d (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=qmltermwidget
pkgver=0.2.0
pkgrel=0
arch="all"
url="https://github.com/swordfish90/qmltermwidget"
license="GPL-2.0-or-later"
pkgdesc="QML port of qtermwidget"
makedepends="qt5-qtbase-dev qt5-qtdeclarative-dev"
checkdepends="xvfb-run qt5-qtquickcontrols"
source="https://github.com/swordfish90/qmltermwidget/archive/$pkgver/qmltermwidget-$pkgver.tar.gz
	0001-fix-missing-include.patch
	"
options="!check" # Requires itself to be installed

build() {
	qmake-qt5
	make
}

check() {
	xvfb-run /usr/lib/qt5/bin/qmlscene -l . test-app/test-app.qml
}

package() {
	INSTALL_ROOT="$pkgdir" make install
}
sha512sums="544d57296de6999b86bf2b921d1d93ac5d7eddd02eea436df4ecea0966c82389e716310fd7e4d13dd918bc1b3fd2d02f953c713dc5b4abcfc56d3f3f617adf43  qmltermwidget-0.2.0.tar.gz
8cd39957dbad653269fe215dcaad392a541cfac75d27ac5b3bba4b1ab20ac9f32a0d2a5a173135b2cad73764525088f4c76517e5d67b9466094b2471bb275bea  0001-fix-missing-include.patch"